using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HKCardOUT.Logic
{
    public class BaseEntity
    {
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        [SugarColumn(ColumnDataType = "DATETIME")]
        public DateTime CreateTime { get; set; }
        public void Create()
        {
            this.Id = Guid.NewGuid();
            this.CreateTime = DateTime.Now;
        }
    }
}
